# Developer Overview

Developer guides are embedded within each repository, providing clear, structured, and repository-specific documentation for seamless implementation and usage.&#x20;

Please checkout our github repos for latest development news:&#x20;

{% embed url="<https://github.com/mind-network>" %}

{% embed url="<https://github.com/mind-network/Awesome-Mind-Network>" %}

***

## Agentic Mind SDK:

1. FHE Consensus Node (FCN): [Repo](https://github.com/mind-network/mind-sdk-fcn-rust), [Crates](https://crates.io/crates/mind_sdk_fcn).
2. FHE Randgen number generator (Randgen): [Rust SDK](https://github.com/mind-network/mind-sdk-randgen-rust), [TypeScript SDK](https://github.com/mind-network/mind-sdk-randgen-ts), [Python SDK](https://github.com/mind-network/mind-sdk-randgen-py)

## AI and Agents SDK:

1. DeepSeek's FHE Validator: [Repo](https://github.com/mind-network/mind-sdk-deepseek-rust), [DeepSeek Official Link](https://github.com/deepseek-ai/awesome-deepseek-integration)
2. Virtuals's FHE Validator: [Repo](https://github.com/mind-network/mind-virtuals-game-node-integration)
3. Eliza's FHE Validator: [Repo](https://github.com/elizaOS/eliza/tree/main/packages/plugin-mind-network), [Eliza with FHE Tutorial](https://github.com/mind-network/mind-eliza-integration/blob/develop/docs/docs/advanced/eliza-with-fhe.md)
4. Swarms' FHE Validator: [Swarm Rust](https://github.com/georgesheth/swarms-rust), [Swarm Shield](https://github.com/georgesheth/swarm-shield)

## **Mind Hubs**

* 🌐 [DApp](https://dapp.mindnetwork.xyz/)
* 📦 [TypeScript SDK](https://github.com/mind-network/mind-sdk-hubs-ts)
* 🏦 [Rust SDK](https://github.com/mind-network/mind-sdk-chain-rust)

MindSAP:[FHE SAP](https://github.com/mind-network/mind-sap-contracts)

## **Mind DataLake**

1. FHE DataLake:
   1. 🐍 [Python SDK](https://github.com/mind-network/mind-lake-sdk-python)
   2. 📦 [TypeScript SDK](https://github.com/mind-network/mind-lake-sdk-typescript)
   3. 🛠️ Mind DataPack Connectors:
      * 📦 [TypeScript](https://github.com/mind-network/mind-datapack-typescript)
      * 🐍 [Python](https://github.com/mind-network/mind-datapack-python)
2. FHE Data Storage:
   1. 📂 Decentralized Storage Integrations:
      * 🏛️ [Arweave](https://github.com/mind-network/mind-datapack-typescript/blob/main/src/connector/arweaveConnector.ts)
      * 🏗️ [BnB Greenfield](https://github.com/mind-network/mind-datapack-typescript/blob/main/src/connector/greenfieldConnector.ts)
      * 📡 [IPFS](https://github.com/mind-network/mind-datapack-typescript/blob/main/src/connector/ipfsConnector.ts)
      * ☁️ [Web3Storage](https://github.com/mind-network/mind-datapack-typescript/blob/main/src/connector/web3StorageConnector.ts)

## **📖 Technicial Knowledge Sharing**

* 🧠 [LLM-based AI Agents Learning Hub](https://github.com/mind-network/Awesome-LLM-based-AI-Agents-Knowledge)
* ⛓️ [FHE Learning Hub](https://github.com/mind-network/Awesome-FHE)
* 🔒 [Stealth Address Tutorials](https://github.com/mind-network/mind-sap-sdk-demo)
* 📚 DataLake Tutorials:
  * 🐍 [Python](https://github.com/mind-network/mind-lake-sdk-python/tree/main/tutorial)
  * 📦 [TypeScript](https://github.com/mind-network/mind-lake-sdk-typescript/tree/main/tutorial)
* 📦 [DataPack Tutorials](https://github.com/mind-network/mind-datapack-python/tree/main/examples)
* 🏆 Hackathon Winner Demos:
  * 🏅 [Ethereum Hackathon (1st Prize)](https://github.com/mind-network/mind_hackathon_ethereum_sg_2309)
  * 🏅 [StarkWare Hackathon (1st Prize)](https://github.com/mind-network/mind_hackathon_starkware_2302)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindnetwork.xyz/minddocs/deverloper-guide/developer-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
